import { defaults } from "../constants.js";
import { swallowError } from "../utils/swallowError.js";
async function readNode(getNvmrc, getPackageDataFull) {
  const { engines } = await getPackageDataFull();
  return {
    minimum: (engines?.node && /[\d+.]+/.exec(engines.node))?.[0] ?? defaults.node.minimum,
    pinned: swallowError(await getNvmrc())?.trim() || defaults.node.pinned
  };
}
export {
  readNode
};
